Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.util.math.geom
Class Quad

    java.lang.Object
      org.pdfclown.util.math.geom.Quad

All Implemented Interfaces:
  Shape

    public class Quad

extends Object
implements Shape

Quadrilateral shape.

Since:
  0.1.1
Version:
  0.1.1, 04/16/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Quad(Point2D... points)`

Method Summary
`boolean` | `contains(double x, double y)`
`boolean` | `contains(double x, double y, double w, double h)`
`boolean` | `contains(Point2D p)`
`boolean` | `contains(Rectangle2D r)`
`static Quad` | `get(Rectangle2D rectangle)`
`Rectangle` | `getBounds()`
`Rectangle2D` | `getBounds2D()`
`PathIterator` | `getPathIterator(AffineTransform at)`
`PathIterator` | `getPathIterator(AffineTransform at, double flatness)`
`Point2D[]` | `getPoints()`
`static Point2D[]` | `getPoints(Rectangle2D rectangle)`
`boolean` | `intersects(double x, double y, double w, double h)`
`boolean` | `intersects(Rectangle2D r)`
`void` | `setPoints(Point2D[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Quad

    public Quad(Point2D... points)

Method Detail

### get

    public static Quad get(Rectangle2D rectangle)

### getPoints

    public static Point2D[] getPoints(Rectangle2D rectangle)

### contains

    public boolean contains(Point2D p)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(Rectangle2D r)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(double x,
                            double y)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

  Specified by:
    `contains` in interface `Shape`

### getBounds

    public Rectangle getBounds()

  Specified by:
    `getBounds` in interface `Shape`

### getBounds2D

    public Rectangle2D getBounds2D()

  Specified by:
    `getBounds2D` in interface `Shape`

### getPathIterator

    public PathIterator getPathIterator(AffineTransform at)

  Specified by:
    `getPathIterator` in interface `Shape`

### getPathIterator

    public PathIterator getPathIterator(AffineTransform at,
                                        double flatness)

  Specified by:
    `getPathIterator` in interface `Shape`

### getPoints

    public Point2D[] getPoints()

### intersects

    public boolean intersects(Rectangle2D r)

  Specified by:
    `intersects` in interface `Shape`

### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

  Specified by:
    `intersects` in interface `Shape`

### setPoints

    public void setPoints(Point2D[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.